Subject: Re: [Sip] Registering Multiple 'Contacts'

From: "Dusan Mudric" <[email-masked]>
Date: Wed, 11 Feb 2004 11:24:51 -0500

Hi:

Let me compare given example with registration renewal. It my clarify
some doubts.

Registration renewal is done for the same Contact URI's, within the same
call leg, using the same Call-ID and incremented CSeq number in the
refresh REGISTER request. This just extends registration time but
doesn't change or add Contact URI. At refresh, Contact(s)'s CSeq number
is updated with a new one, as well as {action, expires, qvalue}
parameters. It is unlikely that Contact parameters are going to be
changed in the renewal requests.

For the same Contact URI in a refresh REGISTER request, if Call-ID is
different, the Contact's Call-ID is updated with a new one, if
expiration time is not zero.

There is no replace of Contact URI's. Only remove (expires=0 for the
Contact) and add.

Is this right?

Thanks,
Dusan.

Jonathan Rosenberg wrote:
> 
> Scott Lawrence wrote:
> 
> > Srinivasan Krishnamoorthy wrote:
> >
> >
> >>>  Section 10.2.4 of RFC3261 'Refreshing Bindings' says:
> >>>  "The UA then issues a REGISTER request for each of its bindings
> >>>before the expiration interval has elapsed. It MAY combine   several
> >>>updates into one REGISTER request."
> >>>  The above seems to indicate that the UAC may send:   (forgive the
> >>>Syntax)
> >>>        REGISTER         To: [email-masked]
> >>>        Contact: sip:[email-masked];expires=3600
> >>>                200 OK
> >>>        REGISTER         To: [email-masked]
> >>>        Contact: sip:[email-masked];expires=3600
> >>>                200 OK
> >>>  This, according to RFC3261, will register both Contact1 and Contact2
> >>>for [email-masked]. (The server will then use the q parameter
> >>>  of the contact for priority among contacts)
> >
> >
> > Paul Kyzivat <[email-masked]> writes:
> >
> >
> >>Yes.
> >
> >
> > My reading is that the results should differ depending on the Call-Id
> > used in those two REGISTER requests:
> >
> >   - If they have different Call-Id values, then the server should
> >     register both contacts.
> >
> >   - If they have the same Call-Id value, then the second REGISTER
> >     should cause the server to replace the first contact with the
> >     second, so that there would be only
> 
> No, this is not the case. The callid/cseq are used as an ordering
> tool. In the abovoe case, if the Call-ID are the same, both contacts
> are added, and both are marked as having that particular callid, but
> with different cseq. if the Call-id are different, both contacts are
> added, but with different call-id and cseq.
> 
> -Jonathan R.
> 
> --
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip